Summary: Verifies file integrity
Name: tripwire
Version: 1.2
Release: 3
Source0: ftp://ftp.cert.org/pub/tools/tripwire/tripwire-1.2.tar.Z
Source1: tripwire.verify
Patch0: tripwire-1.2-rhlinux.patch
Patch1: tripwire-1.2-latin1.patch
Patch2: tripwire-1.2-rewind.patch
Copyright: BSD
Group: Utilities/System
BuildRoot: /tmp/tw-root
Packager: James H. Thompson <jht@lj.net>
%description
Tripwire is a file integrity checker - a utility that compares a
designated set of files and directories against information stored in
a previously generated database.  Added or deleted files are flagged
and reported, as are any files that have changed from their previously
recorded state in the database.  When run against system files on a
regular basis, any file changes would be spotted when Tripwire is next
run, giving system administrators information to enact damage control
measures immediately.

%changelog
* Sun Jan 3 1999 James H. Thompson <jht@lj.net> tripwire-1.2-3
- Add fix for rewind bug

* Tue Nov 10 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU> tripwire-1.2-2
- Remove chown from %prep script, use %defattr instead.
- "Latin-1" patch to act properly with character values > 0x7f in filenames.

* Fri Feb 7 1997 Elliot Lee <sopwith@cuc.edu> tripwire-1.2-1
Initial version of package, as far as I know.

%prep
%setup -c
tar -C .. -xf T1.2.tar
%patch0 -p1 -b .sopwith
%patch1 -p1 -b .latin1
%patch2 -p1 -b .rewind

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ggdb"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man5 $RPM_BUILD_ROOT/usr/man/man8 $RPM_BUILD_ROOT/etc/cron.daily $RPM_BUILD_ROOT/var/spool/tripwire
make TOPDIR="$RPM_BUILD_ROOT" install
install -m600 lib/tw.config $RPM_BUILD_ROOT/etc/tw.config
chmod 700 $RPM_BUILD_ROOT/var/spool/tripwire
install -m700 $RPM_SOURCE_DIR/tripwire.verify $RPM_BUILD_ROOT/etc/cron.daily
chmod 700 $RPM_BUILD_ROOT/usr/sbin/*
chmod -R 644 \
 FAQ Changelog INTERNALS README README.FIRST Readme TODO WHATSNEW docs/*
chmod 755 docs

%post
cd /var/spool/tripwire
(/usr/sbin/tripwire -initialize 2>&1 | \
 /bin/mail -s "Tripwire initialization report" root ) \
 && mv databases/tw.db_* . && rm -rf databases &

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /var/spool/tripwire
%config /etc/tw.config
%config /etc/cron.daily/tripwire.verify
/usr/sbin/tripwire
/usr/sbin/siggen
/usr/man/man5/tw.config.5
/usr/man/man8/tripwire.8
/usr/man/man8/siggen.8
%doc FAQ Changelog INTERNALS README README.FIRST Readme TODO WHATSNEW docs

